Conversatie beginnen

Hoe kan ik DirectAdmin installeren?

Voorbereiding

DirectAdmin werkt op een specifiek aantal Linux besturing systemen. Controleer in het artikel “Welke besturing systemen ondersteunt DirectAdmin” of het geïnstalleerde besturingssysteem wordt ondersteund. Anders kan via het SolusVM controle paneel het besturing systeem opnieuw geïnstalleerd worden in enkele minuten.

De installatie

Gebruik één van de onderstaande installatie commando’s om je server gereed te maken voor de DirectAdmin installatie.

Redhat / Fedora / CentOS

yum install wget gcc gcc-c++ flex bison make bind bind-libs bind-utils openssl openssl-devel perl quota libaio libcom_err-devel libcurl-devel gd zlib-devel zip unzip libcap-devel cronie bzip2 cyrus-sasl-devel perl-ExtUtils-Embed autoconf automake libtool which patch mailx bzip2-devel lsof db4-devel -y

Voor CentOS 7 moet ook het volgende worden uitgevoerd:

yum install psmisc net-tools systemd-devel libdb-devel perl-DBI xfsprogs -y

Debian 7

apt-get install gcc g++ make flex bison openssl libssl-dev perl perl-base perl-modules libperl-dev libaio1 libaio-dev zlib1g zlib1g-dev libcap-dev bzip2 automake autoconf libtool cmake pkg-config python libdb-dev libsasl2-dev libncurses5-dev patch libjemalloc-dev

Debian 8

apt-get install gcc g++ make flex bison openssl libssl-dev perl perl-base perl-modules libperl-dev libaio1 libaio-dev zlib1g zlib1g-dev libcap-dev bzip2 automake autoconf libtool cmake pkg-config python libdb-dev libsasl2-dev libncurses5-dev libsystemd-dev bind9 quota libsystemd-daemon0 patch libjemalloc-dev

Debian 9

apt-get install gcc g++ make flex bison openssl libssl-dev perl perl-base perl-modules libperl-dev libaio1 libaio-dev \ zlib1g zlib1g-dev libcap-dev cron bzip2 automake autoconf libtool cmake pkg-config python libdb-dev libsasl2-dev \ libncurses5-dev libsystemd-dev bind9 dnsutils quota patch libjemalloc-dev logrotate rsyslog libc6-dev libexpat1-dev \ libcrypt-openssl-rsa-perl

FreeBSD

FreeBSD heeft standaard alles wat nodig is en het uitvoeren van de volgende commando is normaal gesproken niet nodig. CustomBuild heeft wel gmake nodig maar zal het proberen zelf al te installeren. Je kan dit ook zelf installeren met de volgende commando (optioneel):

pkg_add -r gmake perl wget bison flex gd cyrus-sasl2 cmake python autoconf libtool libarchive mailx

FreeBSD 10 (geen ondersteuning)

pkg install gcc gmake perl5 wget bison flex cyrus-sasl cmake python autoconf libtool libarchive iconv bind99 mailx

FreeBSD 11 (geen ondersteuning)

pkg install gcc gmake perl5 wget bison flex cyrus-sasl cmake python autoconf libtool libarchive iconv bind99 mailx webalizer




Installatie DirectAdmin

Het installeren van DirectAdmin kan met de volgende set aan commando’s. Als je FreeBSD gebruikt, dan dien je wget te vervangen door fetch.

[x_alert heading=”Informatie voor non-root gebruikers” type=”info”]Let op! Als je een SSH verbinding maakt zonder de root gebruiker, dan dien je de gebruiker in /etc/ssh/sshd_config als geautoriseerd toe te voegen. Dit kan met de volgende lijn: AllowUsers gebruikersnaam Vervang gebruikersnaam door de naam waarmee je ingelogd bent. Verder dien je de ssh server te herstarten. [/x_alert]

wget http://www.directadmin.com/setup.sh
chmod 755 setup.sh
sh setup.sh

Het installatieprogramma zal vragen om de pre-install commando’s (de bovenstaande commando’s) uit te voeren.

*** 64-bit OS ***

*****************************************************
*
* DirectAdmin requires certain packages, described here:
*   http://help.directadmin.com/item.php?id=354
*
* Would you like to install these required pre-install packages? (y/n): y
*
* Installing pre-install packages ....

Het is handig om de vereiste commando’s die eerder in dit artikel te vinden zijn, alvast uit te voeren. Op een minimale installatie van CentOS op het SolusVM platform van Yourwebhoster.eu is namelijk geen perl aanwezig waardoor het installatie programma niet werkt en de foutmelding geeft dat perl niet gevonden is.

*****************************************************
Please enter your Client ID : 17373
Please enter your License ID : 12345
Please enter your hostname (server.domain.com)
It must be a Fully Qualified Domain Name
Do *not* use a domain you plan on using for the hostname:
eg. don't use domain.com. Use server.domain.com instead.
Do not enter http:// or www
Enter your hostname (FQDN) : demoserver.yourwebhoster.eu
Client ID:  17373
License ID: 12345
Hostname: demoserver.yourwebhoster.eu
Is this correct? (y,n) : y

In deze stap vraagt DirectAdmin om de Client ID. Dit is ons klanten nummer bij DirectAdmin en is altijd 17373.  De License ID is altijd een uniek nummer die bij het IP adres van je server hoort. Deze heb je van ons gekregen nadat je hebt doorgegeven welk besturingssysteem je voor DirectAdmin wilt gebruiken. Als laatste dien je de hostname in te voeren van je server.

Als alles klopt, voer dan bij Is this correct? y in, wat staat voor Yes.

Is eth0 your network adaptor with the license IP (123.123.123.123)? (y,n) : y

Voer hier y in als het IP adres overeenkomt met het IP adres van je server.

Your external IP: 123.123.123.123
The external IP should typically match your license IP.
Is 123.123.123.123 the IP in your license? (y,n) : y

Om te voorkomen dat het IP adres afwijkt van het IP adres dat wordt gebruikt om verbinding te maken met de servers van DirectAdmin, controleert de installatie hier of het IP adres overeenkomt. Voer Y in als het IP adres klopt.

DirectAdmin will now be installed on: Enterprise 7.0
Is this correct? (must match license) (y,n) : y

In dit geval gaat het om een installatie van DirectAdmin op een CentOS 7.0 server. In het installatieprogramma heeft dit besturingssysteem Enterprise 7.0. Voer Y in als dit klopt.

Would you like the default settings of apache 2.4 with mod_ruid2 and php 5.5 cli? (y/n):

Voer y in om de standaard instellingen van DirectAdmin te gebruiken voor het installeren van de benodigde programma’s zoals de PHP versie, webserver en e-mail server. Voer n in om deze instellingen naar wens aan te passen. Het is aan te raden om de instellingen naar wens aan te passen. Merk op dat het mogelijk is om dit ook achteraf nog aan te passen.

Would you like to backup the current options.conf? (yes/no): yes

Voer hier yes in. Ook bij schone installaties zal het installatie programma hier naar vragen. In de options.conf is het mogelijk om de software na installatie bij te werken.

Please select webserver you would like to use (apache/nginx/nginx_apache/litespeed):

Elke oplossing heeft zijn eigen voor en nadelen. In de onderstaande tabel staat een beknopt overzicht met de voor- en nadelen van elke keuze. Zelf raden wij aan om gebruik te maken van de combinatie nginx_apache zodat je gebruikers alle functies van Apache kunnen gebruiken maar de snelheid van Nginx. Gebruik je de server alleen zelf? Dan kan je ook nginx overwegen.


Bewerken
Webserver Voordeel Nadeel    
apache Bied veel functionaliteit en is flexibeler dan Nginx In het algemeent trager dan Nginx omdat het veel functionaliteit heeft.

nginx Sneller dan Apache Minder flexibel dan Apache (geen .htaccess ondersteuning).

nginx_apache Gebruik de snelheid van Nginx en de features van Apache Gebruikt meer geheugen.

litespeed Gebouwd voor websites met veel verkeer. Het is een commercieel product en kan verkregen worden in een gratis of betaalde versie. Litespeed versie vergelijking


Please select FTP server you would like to use (proftpd/pureftpd/no):pureftpd

Wij raden aan om te kiezen voor pureftpd omdat deze software in het algemeen minder geheugen gebruikt dan proftpd.

Please select default PHP version you would like to use (5.3/5.4/5.5/5.6/7.0):7.0

Please select default PHP mode you would like to use (php-fpm/fastcgi/suphp/lsphp/mod_php):php-fpm

Wij raden aan om altijd gebruik te maken van de laatste PHP versie, maar let op dat de software die je gebruikt wel samenwerkt met de betreffende PHP versie. Let ook op dat het kan zijn dat oudere PHP versies niet meer bijgewerkt wordt door de makers van PHP.

Tip: Als je oudere versies van PHP wilt draaien die niet meer ondersteund worden, dan raden wij aan om gebruik te maken van CloudLinux. Met deze software is het mogelijk om meerdere PHP versies tegelijk te draaien en kan een DirectAdmin gebruiker zelf de gewenste PHP modules en versie instellen. Het mooiste is dat CloudLinux oude PHP versies bijwerkt en voorziet van beveiliging updates.

Would you like to have a second instance of PHP installed? (yes/no): yes

Please select additional PHP version you would like to use (5.3/5.4/5.5/5.6/7.0):5.6

Please select additional PHP mode you would like to use (php-fpm/fastcgi/suphp/lsphp/mod_php):php-fpm

Als je geen CloudLinux met de PHP selector gebruikt, dan kan je hier ook een tweede PHP versie instellen.

Please select if you would like to use mod_ruid2 (yes/no):yes

Dankzij mod_ruid2 draait Apache onder de systeem gebruiker zelf, wat diverse beveiligingsvoordelen geeft. Deze functie is alleen voor Apache en mod_php beschikbaar.

Please select if you would like to use ionCube (yes/no):yes
Please select if you would like to use Zend Guard Loader (yes/no):yes

Zowel Ioncube als Zend Guard Loader zijn decryptie modules om PHP applicaties die versleuteld zijn te kunnen draaien. Het is aan te raden om dit voor gedeelde hosting omgevingen in te schakelen. Is de server voor je zelf, dan kan je het beste kijken of je het nodig hebt of niet.

Please select if you would like to use suhosin (yes/no):yes

Met Suhosin is het mogelijk om de websites op de server beter te beveiligen. De bevinding is dat deze oplossing op een shared hosting server vaak voor problemen zorgt en daarom moet ook per situatie bekeken worden of deze instelling handig is. Het is niet aan te raden om suhosin zonder testen zomaar aan te zetten aangezien het ook de functionaliteit van de websites kan beperken.

Please select if you would like CustomBuild to manage Exim installation (yes/no):yes
Please select if you would like CustomBuild to manage Dovecot installation (yes/no):yes
Please select if you would like CustomBuild to manage phpMyAdmin installation (yes/no):yes
Please select if you would like CustomBuild to manage SquirrelMail installation (yes/no):no 
Please select if you would like CustomBuild to manage RoundCube installation (yes/no):yes

Het is aan te raden om de vragen te beantwoorden zoals hierboven. Met Exim is het mogelijk om e-mails te versturen (SMTP) en is voor elke hosting installatie nodig en handig, ook als er geen e-mail accounts op de server zelf draaien. Dovecot is aanwezig om de e-mails te laten downloaden via POP3 en/of IMAP. Voor het beheren van de database via een web interface is phpMyAdmin nodig. Verder beschikt DirectAdmin over twee e-mail clients. De meest moderne is Roundcube terwijl SquirrelMail oud oogt en de laatste updat uit 2013 komt.

Would you like to search for the fastest download mirror? (y/n): y

Voer bij deze vraag y in om het installatie programma de snelste server (mirror) te vinden om de installatie bestanden van te kunnen downloaden. Na deze stap zal DirectAdmin de benodigde software installeren. Als het klaar is dan stop het scherm met de volgende informatie:

## INSTALL_COMPLETE
## ACCOUNT_INFO
The following information has been set:
Admin username:   admin
Admin password:   *wachtwoord*
Admin email:      admin@demoserver.yourwebhoster.eu
Server IP: 123.123.123.123
Server Hostname: demoserver.yourwebhoster.eu
To login now, follow this link:
http://123.123.123.123:2222
and enter your Admin username and password when prompted.

You should now visit http://admin.site-helper.com and http://www.directadmin.com/newinstall.html to learn how to get started.

Thank you for using DirectAdmin.  Should you have any questions, don't hesitate to contact us at support@directadmin.com

## REPORT_END
Permissions set
System Security Tips:
  http://help.directadmin.com/item.php?id=247

Wij raden aan om je server na de installatie te herstarten. Verder raden wij aan om een Firewall voor DirectAdmin te installeren en backup voor DirectAdmin.

Tip: Raadpleeg ook de beveiliging tips van DirectAdmin.

Bestanden kiezen of sleep bestanden hierheen
Was dit artikel nuttig?
Ja
Nee
  1. Daniel

  2. Geplaatst
  3. Geüpdatet

Opmerkingen